Subject: Re: some tc commands fail on 2.6.29-rc6-git5, works on 2.6.28.7

From: Jarek Poplawski <[email-masked]>
Date: Mon, 02 Mar 2009 19:44:15 +0100

Andrew Morton wrote, On 03/02/2009 01:57 AM:

> (cc netdev)
> 
> On Mon, 2 Mar 2009 00:36:03 +0000 Joao Correia <[email-masked]> wrote:
> 
>> Hello all
>>
>> On a Fedora 9 box, with a 2.6.29-rc6-git5 compiled with the same
>> .config as the previously running 2.6.28.7, i get:
>>
>> [root@duron ~]# /sbin/tc qdisc add dev eth2 handle ffff: ingress
>> [root@duron ~]# /sbin/tc filter add dev eth2 parent ffff: protocol ip
>> prio 50 u32 match ip src 0.0.0.0/0 police rate 30320kbit burst 500k
>> drop flowid :1
>> RTNETLINK answers: Invalid argument
>> We have an error talking to the kernel
>> [root@duron ~]# uname -a
>> Linux duron 2.6.29-rc6-git5 #3 SMP Sun Mar 1 00:02:56 WET 2009 i686
>> athlon i386 GNU/Linux
>> [root@duron ~]#
>>
>> There is no information regarding this event on dmesg or /var/log/messages.
>> eth2 exists and is working properly, under 2.6.28.7 it works (without
>> complaints).
>>
>> Please advise on what steps I may take to provide more information. I have
>> both kernel sources and availability to apply patches/recompile as needed.

Hi,

I've just repeated your commands (with eth0) on the current Linus' tree
and it works OK. Check your .config and "modules_install" again, and if
no result send gzipped .config and show "lsmod" and "tc -V" output after
these commands above.

Cheers,
Jarek P.